{
  config,
  ...
}:
{
  networking = {

    hostName = config.hostcfg.hostname;
    useDHCP = true;
    nameservers = [ "1.1.1.1" "9.9.9.9" ];
    supplicant = {
      "${config.hostcfg.wlp_if}" = {
        configFile.path = config.sops.secrets.wifi.path;
        extraConf = ''
          network={
            ssid="test"
            psk="12345678"
          }
          network={
            ssid="WIFIonICE"
          }
          network={
            ssid="JR-EAST_FREE_Wi-Fi"
          }
          network={
            ssid="JR-WEST_FREE_Wi-Fi"
          }
          network={
            ssid="tabinohotel"
            psk="tabinohotel"
          }
          network={
            ssid="comforthotel" 
            psk="comforthotel"
          }
          network={
            ssid="sotetsu-hotels" 
            psk="sotetsux"
          }
        '';
      };
    };

    firewall = {
      enable = true;
    };

    wireguard = {
      enable = true;
      interfaces = {
        wg0 = {
          ips = [ config.hostcfg.wg_ip4 config.hostcfg.wg_ip6 ];
          privateKeyFile = config.hostcfg.wg_pk;
          listenPort = 1515;
          peers = [{
            allowedIPs = [ "10.10.1.0/24" "fd10:10:10::0/64" ];
            endpoint = "vpn.helcel.net:1515";
            publicKey = "NFBJvYXZC+bd62jhrKnM7/pugidWhgR6+C5qIiUiq3Q=";
            persistentKeepalive = 30;
          }];
        };
      };
    };

  };

}
