{ lib, stdenv, fetchFromGitHub, wrapQtAppsHook,  qmake, qtbase, qtwebengine, qtwayland
}:
stdenv.mkDerivation rec {
  pname = "simc";
  version = "ae04662fca7cad8bf218cd8e43ab05631caad758";

  src = fetchFromGitHub rec {
            owner = "simulationcraft";
            repo = pname;
            rev = version;
            hash = "sha256-mTo6YTgZMpfyWvdU1JEEmfmBjJlZwAgja1iliOem7mM=";
        };

  nativeBuildInputs = [ wrapQtAppsHook qmake qtwebengine qtbase ];

  buildInputs = [ qtwayland ];
  
  configurePhase = ''
    qmake simulationcraft.pro
  '';

  buildPhase = ''
    SC_NO_NETWORKING=1 make -j$NIX_BUILD_CORES
  '';

  installPhase = ''
    mkdir -p $out/bin
    mv gui/SimulationCraft $out/bin
  '';

}